SDL_GetPixelFormatForMasks(3)

NAME
SDL_GetPixelFormatForMasks - Convert a bpp value and RGBA masks to an enumerated pixel format.

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_PixelFormat SDL_GetPixelFormatForMasks(int bpp, Uint32 Rmask, Uint32 Gmask, Uint32 Bmask, Uint32 Amask);

DESCRIPTION
This will return SDL_PIXELFORMAT_UNKNOWN if the conversion wasn't possible.

FUNCTION PARAMETERS

bpp a bits per pixel value; usually 15, 16, or 32.

Rmask
    the red mask for the format.

Gmask
    the green mask for the format.

Bmask
    the blue mask for the format.

Amask
    the alpha mask for the format.

RETURN VALUE
( SDL_PixelFormat ) Returns the

SDL_PixelFormat
 value corresponding to the format masks, or SDL_PIXELFORMAT_UNKNOWN
 if there isn't a match.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetMasksForPixelFormat(3)